Subject: Re: [PATCH v2] ipv6: fix inconsistent prefix route handling

From: Steven Barth <[email-masked]>
Date: Mon, 17 Feb 2014 07:41:42 +0100

Hannes Frederic Sowa wrote:
> This could too easily clean up valid on-link information if the address
> just happens to be in the same subnet. Would (ifp-flags &
> (IFA_F_PERMANENET|IFA_F_TEMPORARY) && !(...)) solve the problem, too?

No, that doesn't do the trick unfortunately. Seems that the 
(non-permanent) address created by "ip" don't have IFA_F_TEMPORARY set.
Any other good ideas?

Cheers,

Steven